PETSc version 3.17.4
Fix/Edit manual page

# PetscDevice

Handle to an accelerator "device" (usually a GPU)

### Synopsis

    #include <petscdevicetypes.h>
    typedef struct _n_PetscDevice *PetscDevice;

### Notes

This object is used to house configuration and state of a device, but does not offer any ability to interact with or drive device computation. This functionality is facilitated instead by the PetscDeviceContext object.

### See Also

PetscDeviceType, PetscDeviceInitType, PetscDeviceCreate(), PetscDeviceConfigure(), PetscDeviceDestroy(), PetscDeviceContext, PetscDeviceContextSetDevice(), PetscDeviceContextGetDevice()

### Level

beginner

### Location

include/petscdevicetypes.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages